# sc::AnimatedObject Class Reference

Inheritance diagram for sc::AnimatedObject:

List of all members.

## Public Member Functions

| AnimatedObject (const Ref< KeyVal > &)
const char * | name () const
void | set_name (const char *name)
virtual int | nobject ()=0
virtual Ref< RenderedObject > | object (int iobject)=0

## Protected Attributes

char * | name_

The documentation for this class was generated from the following file:

- animate.h